<template>
  <a
    v-if="props.to"
    class="text-decoration-none text-primary align-center"
    target="_blank"
    rel="noopener noreferrer"
    :download="props.download ? '' : undefined"
    :href="props.to"
  >
    <slot>{{ props.text || props.to }}</slot
    ><span class="text-no-wrap"
      >&#65279;<v-icon size="x-small" color="primary">
        {{ props.download ? "mdi-download" : "mdi-open-in-new" }}
      </v-icon></span
    >
  </a>
  <template v-else>
    <slot>
      <span>{{ props.text }}</span>
    </slot>
  </template>
</template>

<script setup lang="ts">
const props = defineProps<{
  to?: string;
  text?: string;
  download?: boolean;
}>();
</script>
